Name:          corejava-format
Version:       1.22
Release:       %mkrel 11
Summary:       A class for formatting numbers that follows printf conventions
Group:         Development/Java
License:       LGPL
Url:           https://www.horstmann.com/corejava.html
Source0:       https://www.horstmann.com/articles/format.jar
Source1:       corejava-format-%{version}.build.xml
Patch0:        corejava-format-%{version}-Format.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: java-javadoc

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
A class for formatting numbers that follows printf conventions.

%package javadoc
Summary:       Javadoc for %{name}
Group:         Development/Java

%description javadoc
Javadoc for %{name}.

%prep
%setup -T -q -c

mkdir -p src && unzip -q %{SOURCE0} -d src
mv src/com/horstmann/format/license.txt .
rm -rf src/com/horstmann/format/*.class

%patch -P 0 -p0
cp %{SOURCE1} build.xml

%build

ant \
  -Dversion=%{version} \
  -Dj2se.apiurl=%{_javadocdir}/java \
  jar javadoc

%install
mkdir -p %{buildroot}%{_javadir}
install -pm 644 %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr docs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%doc license.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.22-11.mga10
+ Revision: 2231543
- Mageia 10 Mass Rebuild

* Sat Dec 21 2024 pterjan <pterjan> 1.22-10.mga10
+ Revision: 2127153
- Rebuild for patchN deprecation

* Sat Mar 26 2022 umeabot <umeabot> 1.22-9.mga9
+ Revision: 1828730
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1.22-8.mga8
+ Revision: 1489547
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.22-7.mga7
+ Revision: 1260767
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 1.22-6.mga6
+ Revision: 964272
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.22-5.mga5
+ Revision: 750326
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.22-4.mga5
+ Revision: 678545
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.22-3.mga4
+ Revision: 503472
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.22-2.mga3
+ Revision: 348163
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 02 2011 gil <gil> 1.22-1.mga2
+ Revision: 161717
- imported package corejava-format

